commit:     47e36f663fdc1dae8a0cffc8a12fe6d78d2e968d
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 21 07:33:26 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 21 13:40:24 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=47e36f66

dev-python/matplotlib: Add python3.5 support

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-python/matplotlib/matplotlib-1.4.3.ebuild | 26 +++++++++++++-------------
 dev-python/matplotlib/matplotlib-9999.ebuild  | 26 +++++++++++++-------------
 2 files changed, 26 insertions(+), 26 deletions(-)

diff --git a/dev-python/matplotlib/matplotlib-1.4.3.ebuild 
b/dev-python/matplotlib/matplotlib-1.4.3.ebuild
index f7b4156..78303eb 100644
--- a/dev-python/matplotlib/matplotlib-1.4.3.ebuild
+++ b/dev-python/matplotlib/matplotlib-1.4.3.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 PYTHON_REQ_USE='tk?'
 
@@ -23,6 +23,18 @@ LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
 KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
 IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 qt5 test tk 
wxwidgets"
 
+PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
+REQUIRED_USE="
+       doc? ( ${PY2_FLAGS} )
+       excel? ( ${PY2_FLAGS} )
+       fltk? ( ${PY2_FLAGS} )
+       gtk? ( ${PY2_FLAGS} )
+       wxwidgets? ( ${PY2_FLAGS} )
+       test? (
+               cairo fltk latex pyside qt5 qt4 tk wxwidgets
+               || ( gtk gtk3 )
+               )"
+
 # #456704 -- a lot of py2-only deps
 PY2_USEDEP=$(python_gen_usedep python2_7)
 COMMON_DEPEND="
@@ -93,18 +105,6 @@ RDEPEND="${COMMON_DEPEND}
        qt5? ( dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}] )
        "
 
-PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
-REQUIRED_USE="
-       doc? ( ${PY2_FLAGS} )
-       excel? ( ${PY2_FLAGS} )
-       fltk? ( ${PY2_FLAGS} )
-       gtk? ( ${PY2_FLAGS} )
-       wxwidgets? ( ${PY2_FLAGS} )
-       test? (
-               cairo fltk latex pyside qt5 qt4 tk wxwidgets
-               || ( gtk gtk3 )
-               )"
-
 RESTRICT="mirror"
 
 # A few C++ source files are written to srcdir.

diff --git a/dev-python/matplotlib/matplotlib-9999.ebuild 
b/dev-python/matplotlib/matplotlib-9999.ebuild
index bcdd269..7fd7da9 100644
--- a/dev-python/matplotlib/matplotlib-9999.ebuild
+++ b/dev-python/matplotlib/matplotlib-9999.ebuild
@@ -4,7 +4,7 @@
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_7,3_3,3_4} )
+PYTHON_COMPAT=( python2_7 python3_{3,4,5} )
 
 PYTHON_REQ_USE='tk?'
 
@@ -24,6 +24,18 @@ LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
 KEYWORDS=""
 IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 qt5 test tk 
wxwidgets"
 
+PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
+REQUIRED_USE="
+       doc? ( ${PY2_FLAGS} )
+       excel? ( ${PY2_FLAGS} )
+       fltk? ( ${PY2_FLAGS} )
+       gtk? ( ${PY2_FLAGS} )
+       wxwidgets? ( ${PY2_FLAGS} )
+       test? (
+               cairo fltk latex pyside qt5 qt4 tk wxwidgets
+               || ( gtk gtk3 )
+               )"
+
 # #456704 -- a lot of py2-only deps
 PY2_USEDEP=$(python_gen_usedep python2_7)
 COMMON_DEPEND="
@@ -94,18 +106,6 @@ RDEPEND="${COMMON_DEPEND}
        qt5? ( dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}] )
        "
 
-PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
-REQUIRED_USE="
-       doc? ( ${PY2_FLAGS} )
-       excel? ( ${PY2_FLAGS} )
-       fltk? ( ${PY2_FLAGS} )
-       gtk? ( ${PY2_FLAGS} )
-       wxwidgets? ( ${PY2_FLAGS} )
-       test? (
-               cairo fltk latex pyside qt5 qt4 tk wxwidgets
-               || ( gtk gtk3 )
-               )"
-
 RESTRICT="mirror"
 
 # A few C++ source files are written to srcdir.

Reply via email to